### Virtual Method

# Gtk CellLayout pack_end

deprecated: 4.10

#### Declaration [src]

    void
    pack_end (
      GtkCellLayout* cell_layout,
      GtkCellRenderer* cell,
      gboolean expand
    )

#### Description [src]

Adds the `cell` to the end of `cell_layout`. If `expand` is `FALSE`, then the `cell` is allocated no more space than it needs. Any unused space is divided evenly between cells for which `expand` is `TRUE`.

Note that reusing the same cell renderer is not supported.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`cell`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer`.

  The data is owned by the caller of the method.

`expand`

  Type: `gboolean`

  `TRUE` if `cell` is to be given extra space allocated to `cell_layout`.